GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "8a381e61-de6e-471e-bd13-b8e336555747",
"private_locations": [
{
"private_location_id": "08dad34a-3517-43c4-80df-feee86dbc77c",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "180e00a6-946b-4a1b-b4c2-756bc257a4c0"
},
{
"private_location_id": "06bdbb20-ed54-4694-9c8b-2489b6831b96",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a808f092-3396-4de5-a969-c3ca75423980"
},
{
"private_location_id": "da650cb9-7dc3-47cc-ad58-0b474a93e49f",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5b118c59-17d9-4d77-87f8-11cd021551fd"
}
]
},
{
"access_group": "8ee42c09-746a-46ad-939c-e50ee4c1c82c",
"private_locations": [
{
"private_location_id": "08dad34a-3517-43c4-80df-feee86dbc77c",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "180e00a6-946b-4a1b-b4c2-756bc257a4c0"
},
{
"private_location_id": "06bdbb20-ed54-4694-9c8b-2489b6831b96",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a808f092-3396-4de5-a969-c3ca75423980"
},
{
"private_location_id": "da650cb9-7dc3-47cc-ad58-0b474a93e49f",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "5b118c59-17d9-4d77-87f8-11cd021551fd"
}
]
},
{
"access_group": "a1851da9-6dd0-4dd7-b0f8-024564552246",
"private_locations": [
{
"private_location_id": "08dad34a-3517-43c4-80df-feee86dbc77c",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "180e00a6-946b-4a1b-b4c2-756bc257a4c0"
},
{
"private_location_id": "06bdbb20-ed54-4694-9c8b-2489b6831b96",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a808f092-3396-4de5-a969-c3ca75423980"
},
{
"private_location_id": "06bdbb20-ed54-4694-9c8b-2489b6831b96",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "a808f092-3396-4de5-a969-c3ca75423980"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |